// _EditionRequeteAgent_Interface.java
// Created on 18 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.requetes.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _EditionRequeteAgent_Interface extends COFrame {

    /** Creates new form _EditionRequeteAgent_Interface */
    public _EditionRequeteAgent_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupModulesImpression = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton2 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOButton4 = new org.cocktail.component.COButton();
        cOButton5 = new org.cocktail.component.COButton();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        cOLabel1 = new org.cocktail.component.COLabel();
        cOLabel2 = new org.cocktail.component.COLabel();
        cOLabel3 = new org.cocktail.component.COLabel();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);
        displayGroup.setKeys(new Object[] {"adressePerso","ancienneteAnnee","ancienneteGenerale","ancienneteNbAnnees","ancienneteNBJours","ancienneteNbMois","ancienneteService","cCivilite","cEchelon","chapitre","codePostal","codeSpec","conservationAnnee","conservationNbAnnees","conservationNbJours","conservationNbMois","cPosition","dateNaissanceEnfant","debut","debutAffectation","debutOccupation","dNaissance","fin","finAffectation","finOccupation","implantation","inseeComplet","lcCorps","lcGrade","lcTypeContratTrav","llComposante","llStructure","noIndividu","nom","nomEnfant","nomPatronymique","numeroEmploi","orgComp","persId","prenom","quotite","quotiteFinanciere","sexe","specialisation","statut","ville"});

        displayGroupModulesImpression.setEntityName("ModuleImpressionIndividu");

        setControllerClassName("org.cocktail.mangue.client.requetes.EditionRequeteAgent");
        setSize(new java.awt.Dimension(890, 525));

        listeAffichage.setColumns(new Object[][] {{null,"sexe",new Integer(2),"Sexe",new Integer(0),new Integer(40),new Integer(1000),new Integer(10)},{null,"cCivilite",new Integer(2),"Civ",new Integer(0),new Integer(40),new Integer(1000),new Integer(10)},{null,"nom",new Integer(2),"Nom",new Integer(0),new Integer(111),new Integer(1000),new Integer(10)},{null,"nomPatronymique",new Integer(2),"Nom Patronymique",new Integer(0),new Integer(117),new Integer(1000),new Integer(10)},{null,"prenom",new Integer(2),"Prénom",new Integer(0),new Integer(96),new Integer(1000),new Integer(10)},{"%d/%m/%Y","dNaissance",new Integer(0),"Date Nais",new Integer(0),new Integer(80),new Integer(80),new Integer(80)},{"","inseeComplet",new Integer(2),"Numéro INSEE",new Integer(0),new Integer(98),new Integer(1000),new Integer(10)},{null,"noIndividu",new Integer(0),"No Individu",new Integer(0),new Integer(72),new Integer(1000),new Integer(10)},{null,"persId",new Integer(0),"Pers Id",new Integer(0),new Integer(58),new Integer(1000),new Integer(10)},{null,"lcCorps",new Integer(2),"Corps",new Integer(0),new Integer(42),new Integer(1000),new Integer(10)},{null,"lcGrade",new Integer(2),"Grade",new Integer(0),new Integer(43),new Integer(1000),new Integer(10)},{null,"cEchelon",new Integer(0),"Ech",new Integer(0),new Integer(31),new Integer(1000),new Integer(10)},{null,"cPosition",new Integer(0),"Position",new Integer(0),new Integer(50),new Integer(1000),new Integer(10)},{"","quotiteTravail",new Integer(2),"Quotité",new Integer(0),new Integer(100),new Integer(1000),new Integer(10)},{null,"statut",new Integer(0),"Statut",new Integer(0),new Integer(40),new Integer(1000),new Integer(10)},{"0.00","quotite",new Integer(0),"Quot. Aff",new Integer(0),new Integer(70),new Integer(1000),new Integer(10)},{"0.00","quotiteFinanciere",new Integer(0),"Quot. Fi",new Integer(0),new Integer(66),new Integer(1000),new Integer(10)},{"","ancienneteAnnee",new Integer(0),"Rel. Année",new Integer(0),new Integer(66),new Integer(1000),new Integer(10)},{null,"ancienneteNbAnnees",new Integer(0),"Rel. An",new Integer(0),new Integer(53),new Integer(1000),new Integer(10)},{null,"ancienneteNbMois",new Integer(0),"Rel. M",new Integer(0),new Integer(47),new Integer(1000),new Integer(10)},{null,"ancienneteNBJours",new Integer(0),"Rel. J",new Integer(0),new Integer(46),new Integer(1000),new Integer(10)},{null,"conservationAnnee",new Integer(0),"Cons. Année",new Integer(0),new Integer(80),new Integer(1000),new Integer(10)},{null,"conservationNbAnnees",new Integer(0),"Cons. An",new Integer(0),new Integer(61),new Integer(1000),new Integer(10)},{null,"conservationNbMois",new Integer(0),"Cons. M",new Integer(0),new Integer(58),new Integer(1000),new Integer(10)},{null,"conservationNbJours",new Integer(0),"Cons. J",new Integer(0),new Integer(50),new Integer(1000),new Integer(10)},{null,"orgComp",new Integer(0),"Comp",new Integer(0),new Integer(50),new Integer(1000),new Integer(10)},{null,"ancienneteGenerale",new Integer(2),"Anc. Gén.",new Integer(0),new Integer(185),new Integer(1000),new Integer(10)},{null,"ancienneteService",new Integer(2),"Anc. Svc.",new Integer(0),new Integer(185),new Integer(1000),new Integer(10)},{null,"lcTypeContratTrav",new Integer(0),"Libelle Contrat",new Integer(0),new Integer(96),new Integer(1000),new Integer(10)},{"%d/%m/%Y","debut",new Integer(0),"Début",new Integer(0),new Integer(80),new Integer(80),new Integer(80)},{"%d/%m/%Y","fin",new Integer(0),"Fin",new Integer(0),new Integer(80),new Integer(80),new Integer(80)},{"","numeroEmploi",new Integer(0),"Emploi",new Integer(0),new Integer(62),new Integer(1000),new Integer(10)},{"%d/%m/%Y","debutOccupation",new Integer(0),"Début Occ.",new Integer(0),new Integer(80),new Integer(80),new Integer(80)},{"%d/%m/%Y","finOccupation",new Integer(0),"Fin Occ.",new Integer(0),new Integer(80),new Integer(80),new Integer(80)},{"","implantation",new Integer(2),"Imp.",new Integer(0),new Integer(40),new Integer(1000),new Integer(10)},{null,"chapitre",new Integer(0),"Chapitre",new Integer(0),new Integer(60),new Integer(1000),new Integer(10)},{null,"codeSpec",new Integer(0),"Code Spec",new Integer(0),new Integer(70),new Integer(1000),new Integer(10)},{null,"specialisation",new Integer(2),"Spécialisation",new Integer(0),new Integer(78),new Integer(1000),new Integer(10)},{null,"llComposante",new Integer(2),"Composante",new Integer(0),new Integer(85),new Integer(1000),new Integer(10)},{null,"llStructure",new Integer(2),"Affectation",new Integer(0),new Integer(70),new Integer(1000),new Integer(10)},{"%d/%m/%Y","debutAffectation",new Integer(0),"Début Affect.",new Integer(0),new Integer(75),new Integer(1000),new Integer(10)},{"%d/%m/%Y","finAffectation",new Integer(0),"Fin Affect.",new Integer(0),new Integer(61),new Integer(1000),new Integer(10)},{"","adressePerso",new Integer(2),"Adresse Personnelle",new Integer(0),new Integer(134),new Integer(1000),new Integer(10)},{null,"codePostal",new Integer(0),"Code Postal",new Integer(0),new Integer(72),new Integer(1000),new Integer(72)},{null,"ville",new Integer(2),"Ville",new Integer(0),new Integer(100),new Integer(1000),new Integer(31)},{null,"nomEnfant",new Integer(2),"Enfant",new Integer(0),new Integer(139),new Integer(1000),new Integer(31)},{"%d/%m/%Y","dateNaissanceEnfant",new Integer(0),"Date Naissance",new Integer(0),new Integer(90),new Integer(1000),new Integer(10)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);
        listeAffichage.setReorderingAllowed(true);
        listeAffichage.setResizingAllowed(true);

        cOButton1.setActionName("annuler");
        cOButton1.setEnabledMethod("selectionModifiee");
        cOButton1.setText("Annuler les modifications");

        cOButton2.setActionName("restreindre");
        cOButton2.setText("Restreindre à la sélection");

        cOButton3.setActionName("supprimer");
        cOButton3.setText("Supprimer la sélection");

        cOButton4.setActionName("exporter");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("peutImprimer");
        cOButton4.setIconName("disquette.gif");

        cOButton5.setActionName("imprimer");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("peutImprimer");
        cOButton5.setIconName("Imprimante.gif");

        cOTextField1.setValueName("titreEdition");

        cOComboBox1.setDisplayGroupForTitle(displayGroupModulesImpression);
        cOComboBox1.setTitleAttribute("intitulePourMenu");
        cOComboBox1.setTitleForSelection("selectedTitle");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel1.setText("Pour trier sur une colonne, faire glisser la colonne en première position de la table");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel2.setText("Le double-clic sur la liste affiche l'état civil de la personne");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel3.setText("Titre de l'édition");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel4.setText("Type d'édition");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Résultats de la recherche :");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel6.setText("Agents");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel7.setText("Période du");

        jLabel8.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel8.setText("au");

        cOLabel1.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel1.setValueName("nbAgents");

        cOLabel2.setDateFieldFormat("%d/%m/%Y");
        cOLabel2.setValueName("debutPeriode");

        cOLabel3.setDateFieldFormat("%d/%m/%Y");
        cOLabel3.setValueName("finPeriode");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 843, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(jLabel5)
                        .add(18, 18, 18)
                        .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(2, 2, 2)
                        .add(jLabel6))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 250, Short.MAX_VALUE)
                                .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 403, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(28, 28, 28))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 349, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel3))
                            .add(jLabel7))
                        .add(3, 3, 3)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel4)
                            .add(layout.createSequentialGroup()
                                .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 70, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel8)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(cOLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 70, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 403, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 491, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(cOLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8)
                    .add(cOLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(jLabel4))
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(jLabel2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6))
                .add(2, 2, 2)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 335, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(20, 20, 20))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COLabel cOLabel2;
    public org.cocktail.component.COLabel cOLabel3;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupModulesImpression;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    public org.cocktail.component.COTable listeAffichage;
    // End of variables declaration//GEN-END:variables
                  

}
